summaryrefslogtreecommitdiff
path: root/debug
diff options
context:
space:
mode:
authorDominik Ritter <dominik.ritter@chefkoch.de>2018-10-09 21:05:38 +0300
committerDominik Ritter <dritter03@googlemail.com>2019-02-03 10:48:33 +0300
commitd83aacfb3ff01bf1839cf23e96ac9e6878663daa (patch)
treefcb118e545212f0a0d0aaca513f953a9268a1287 /debug
parent933e95d31c0fec2fbd3e4e3151337ac8293d7d49 (diff)
Fix font-debugging script for alacritty
Diffstat (limited to 'debug')
-rwxr-xr-xdebug/font-issues.zsh8
1 files changed, 4 insertions, 4 deletions
diff --git a/debug/font-issues.zsh b/debug/font-issues.zsh
index c97ea34d..135a6349 100755
--- a/debug/font-issues.zsh
+++ b/debug/font-issues.zsh
@@ -118,13 +118,13 @@ get_term_font() {
case "$term" in
"alacritty"*)
- shopt -s nullglob
+ setopt nullglob
confs=({$XDG_CONFIG_HOME,$HOME}/{alacritty,}/{.,}alacritty.ym?)
- shopt -u nullglob
+ unsetopt nullglob
- [[ -f "${confs[0]}" ]] || return
+ [[ -f "${confs[1]}" ]] || return
- term_font="$(awk -F ':|#' '/normal:/ {getline; print}' "${confs[0]}")"
+ term_font="$(awk -F ':|#' '/normal:/ {getline; print}' "${confs[1]}")"
term_font="${term_font/*family:}"
term_font="${term_font/$'\n'*}"
term_font="${term_font/\#*}"